Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.upgrade.impl
Class OPatchSchemaOperations

    java.lang.Object
      oracle.ifs.admin.tools.upgrade.impl.OPatchSchemaOperations

    public class OPatchSchemaOperations

extends java.lang.Object

Called by OPATCH to perform schema operations, including schema upgrade.

(Unpublished)

Constructor Summary
`OPatchSchemaOperations(javax.sql.DataSource dataSource)` Constructs an OPatchSchemaOperations instance.

Method Summary
`void` | `rollback(java.io.InputStream upgradeScript, AttributeValue[] defaultProperties)` Performs schema operations required by OPATCH rollback.
`void` | `upgrade(java.io.InputStream upgradeScript, AttributeValue[] defaultProperties, boolean onlineUpgrade)` Performs schema operations required by OPATCH upgrade.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OPatchSchemaOperations

    public OPatchSchemaOperations(javax.sql.DataSource dataSource)
                           throws IfsException

  Constructs an OPatchSchemaOperations instance.

  Parameters:
    `dataSource` - a DataSource for the repository's schema
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### upgrade

    public void upgrade(java.io.InputStream upgradeScript,
                        AttributeValue[] defaultProperties,
                        boolean onlineUpgrade)
                 throws IfsException

  Description copied from class: `OPatchSchemaOperations`
  Performs schema operations required by OPATCH upgrade.

  Parameters:
    `upgradeScript` - the XML upgrade script
    `defaultProperties` - additional default properties, or null if none
    `onlineUpgrade` - whether online upgrade is requested
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### rollback

    public void rollback(java.io.InputStream upgradeScript,
                         AttributeValue[] defaultProperties)
                  throws IfsException

  Description copied from class: `OPatchSchemaOperations`
  Performs schema operations required by OPATCH rollback.

  Parameters:
    `upgradeScript` - the XML upgrade script
    `defaultProperties` - additional default properties, or null if none
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD